<template lang='pug'>
mixin prop(name)
  li #[strong.text-info= name+': ']
    block

Example(title='BaseGlobalKeyboardEvent (Component)' :maxState='0')
  template(v-slot:description)
    h5 This component will help you to manage keyboard events across the whole website
    p Click on #[em code] to view and modify the #[code BaseGlobalKeyboardEvent] component.
    p Click on #[em interface] to view the specifications.

  template(v-slot:interface)
    h5 GlobalKeyboardEvent #[strong Component]
    p You just need to use the #[code BaseGlobalKeyboardEvent] component and specify a single or multiple event keys.
    p The event key syntax is: #[code "{metaKeys}-{key}-{keyup|keydown}"] where
    ul
      +prop("metaKeys")
        | ctrl, shift, meta, alt, ctrl-shift, alt-shift, etc...
      +prop("key")
        | a, e, w etc... (could be also a metaKey)
      +prop("keyup|keydown")
        | It's optional and by default is #[code keyup] if you do not provide it.
    br
    p You can set the prop #[code disableInputCheck] if you want to disable the check on the focus
      |
      | of input fields that is preventing to fire the callbacks.
    hr
    p For example:
      br
      | #[code BaseGlobalKeyEvent(:disableInputCheck=true @shift-d="() => { /* ..do something.. */ } @e-keydown="() => { /* ..do another thing.. */ }")]
  template(v-slot:code)
    template(v-pre).
      .row
        BaseGlobalKeyboardEvent(:disableInputCheck="false" @shift-d="() => { state++; }")
        p(v-if="state == 0") Press Shift-D!
        p(v-else-if="state == 1") You have pressed Shift-D {{ state }} time!
        p(v-else) You have pressed Shift-D {{ state }} times!
</template>
<script>
import Example from "./AppExample.vue";

export default {
  name: "ExampleGlobalKeyboardEvent",
  components: { Example }
};
</script>
